Package com.independentsoft.office.drawing

# Class TextListStyle

java.lang.Object
com.independentsoft.office.drawing.TextListStyle

public class TextListStyle extends Object
The Class TextListStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextListStyle()`
  Instantiates a new text list style.
  `TextListStyle​(InternalXMLStreamReader reader)`
  Instantiates a new text list style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextListStyle`
  `clone()`
  `TextParagraphProperties`
  `getDefaultParagraphStyle()`
  Gets the default paragraph style.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `TextParagraphProperties`
  `getListLevel1TextStyle()`
  Gets the list level1 text style.
  `TextParagraphProperties`
  `getListLevel2TextStyle()`
  Gets the list level2 text style.
  `TextParagraphProperties`
  `getListLevel3TextStyle()`
  Gets the list level3 text style.
  `TextParagraphProperties`
  `getListLevel4TextStyle()`
  Gets the list level4 text style.
  `TextParagraphProperties`
  `getListLevel5TextStyle()`
  Gets the list level5 text style.
  `TextParagraphProperties`
  `getListLevel6TextStyle()`
  Gets the list level6 text style.
  `TextParagraphProperties`
  `getListLevel7TextStyle()`
  Gets the list level7 text style.
  `TextParagraphProperties`
  `getListLevel8TextStyle()`
  Gets the list level8 text style.
  `TextParagraphProperties`
  `getListLevel9TextStyle()`
  Gets the list level9 text style.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextListStyle

    public TextListStyle()
    Instantiates a new text list style.

  - ### TextListStyle

    public TextListStyle​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new text list style.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TextListStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getDefaultParagraphStyle

    public TextParagraphProperties getDefaultParagraphStyle()
    Gets the default paragraph style.
    Returns:
      the default paragraph style

  - ### getListLevel1TextStyle

    public TextParagraphProperties getListLevel1TextStyle()
    Gets the list level1 text style.
    Returns:
      the list level1 text style

  - ### getListLevel2TextStyle

    public TextParagraphProperties getListLevel2TextStyle()
    Gets the list level2 text style.
    Returns:
      the list level2 text style

  - ### getListLevel3TextStyle

    public TextParagraphProperties getListLevel3TextStyle()
    Gets the list level3 text style.
    Returns:
      the list level3 text style

  - ### getListLevel4TextStyle

    public TextParagraphProperties getListLevel4TextStyle()
    Gets the list level4 text style.
    Returns:
      the list level4 text style

  - ### getListLevel5TextStyle

    public TextParagraphProperties getListLevel5TextStyle()
    Gets the list level5 text style.
    Returns:
      the list level5 text style

  - ### getListLevel6TextStyle

    public TextParagraphProperties getListLevel6TextStyle()
    Gets the list level6 text style.
    Returns:
      the list level6 text style

  - ### getListLevel7TextStyle

    public TextParagraphProperties getListLevel7TextStyle()
    Gets the list level7 text style.
    Returns:
      the list level7 text style

  - ### getListLevel8TextStyle

    public TextParagraphProperties getListLevel8TextStyle()
    Gets the list level8 text style.
    Returns:
      the list level8 text style

  - ### getListLevel9TextStyle

    public TextParagraphProperties getListLevel9TextStyle()
    Gets the list level9 text style.
    Returns:
      the list level9 text style